body, html {
    margin:0;
    overflow: hidden;
    font-size: 16px;
    height: 100%;
    width: 100%;
    /*background-image: url('../images/bg.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;*/
}

img {
    height: auto;
    width: auto;
    object-fit: contain;
    object-position: top center;
}

@font-face {
    font-family: Lora;
    src: url("../fonts/Lora-Regular.ttf");
}

@font-face {
    font-family: Avus Pro;
    src: url("../fonts/Avus Pro Regular.otf");
}

@font-face {
    font-family: Avus Pro Medium;
    src: url("../fonts/Avus Pro Medium.otf");
}

.objCover {
    object-fit: cover;
}

#ar-button,
#ar-button img {
    width: 60px;
    height: 52px;
}

.ar-button-wrapper {
    position: absolute;
    /*top: 16rem;
    right: 18rem*/;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
    /* width: 100px; */

    top: 20%;
    right: 17.7rem;
    transform: translate(-50%, 0%);
    -webkit-transform: translate(-50%, 0%);
}

.ar-text {
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 15px;
    text-align: center;
    color: #000000;
}

.qrcode-wrapper {
    position: absolute;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 2;
}

.QRcode {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    height: 372px;
    width: 372px;
    z-index: 10;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: #ffffff;
    border: 1px solid #000000;
}

.QRcode h1 {
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 25px;
    text-align: center;
    color: #000000;
}

.QRcode p {
    margin: 0px;
    padding: 10px 40px;
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    text-align: center;
    color: #000000;
}

.qrCodeImg {
/*    width: 65%;*/
    width: 164px;   
    height: 164px;
}

.closeQRcode {
    position: absolute;
    top: 1rem;
    right: 1rem;
    cursor: pointer;
}

.loadingContent {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    text-align: center;
    font-size: 1.1rem;
    font-weight: 400;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #000;
    display: flex;
    flex-direction: column;
}

.loadingContent img {
    width: 120px;
    height: auto;
}

.model,
#container3d_replace {
    width: 100vw;
    height: 100%;
}

#container3d_replace {
    display: none;
}

#overlay {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 20;
}

.cursor {
    cursor: pointer;
}

.logo {
    position: absolute;
    top: 2%;
    left: 50%;
    transform: translate(-50%, 0%);
    -webkit-transform: translate(-50%, 0%);
}

.close-button {
    position: absolute;
    top: 6.5rem;
    right: 18rem;
    cursor: pointer;
    width: 40px;
    height: 40px;
    user-select: none;
}

.buttons {
    position: absolute;
    top: 20%;
    left: 25rem;
    transform: translate(-50%, 0%);
    -webkit-transform: translate(-50%, 0%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    /* gap: 28px; */
    user-select: none;
}

.buttons img {
    width: 21px;
    user-select: none;
}
.buttons .top-wrapper,
.buttons .top-wrapper-helper,
.buttons .center-wrapper,
.buttons .center-wrapper-helper{
    margin-bottom: 28px;
}

.top-wrapper,
.top-wrapper-helper,
.center-wrapper,
.center-wrapper-helper,
.bottom-wrapper,
.bottom-wrapper-helper {
    display: flex;
    align-items: center;
    gap: 10px;

    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 15px;
    text-transform: uppercase;
    color: #000000;
}

.candle-title {
    position: absolute;
    top: 42%;
    left: 18%;
    transform: translate(-50%, 0%);
    -webkit-transform: translate(-50%, 0%);
}

.candle-title span {
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 22px;
    color: #000000;
}

.candle-price {
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
    line-height: 22px;
    color: #625e5e;
    margin-top: 10px;
}

.images-wrapper {
    position: absolute;
    top: 26rem;
    right: 18rem;
    /*transform: translate(-50%, 0%);
    -webkit-transform: translate(-50%, 0%);*/
    display: flex;
    flex-direction: column;
}

.candle-wrapper,
.size-wrapper {
    display: flex; 
    flex-direction: column;
    border: 1px solid #DADADA;
    /*height: 102px;
    width: 102px;*/

    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 15px;
    color: #000000;
    cursor: pointer;
}

.candle-wrapper div,
.size-wrapper div {
    display: flex;
    justify-content: space-between;
    padding: 14px 10px 26px 10px;
    align-items: center;
}

.size {
    padding: 25px 0 7px 10px;
}

.candles_icon {
    width: 99px;
}

.add-to-basket-wrapper {
    background-color: #000000;
    color: #ffffff;
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 15px;
    height: 100%;
    cursor: pointer;
    padding: 14px 10px 16px 10px;
}
.add-to-basket-wrapper.disabled .add-to-basket-price{
    visibility: hidden;
    /* background-color: #1A1919;
    cursor: not-allowed; */
}
.add-to-basket-price {
    /* padding: 14px 0 0 10px; */
    margin-bottom: 10px;
}

.add-to-basket-text {
    /* padding: 14px 0 16px 10px; */
    text-transform: uppercase;
}

/* SIDEBAR */
.icons-wrapper {
    position: absolute;
    display: none;
    width: 394px;
    height: 100vh;
    right: 0px;
    top: 0px;
    background-color: #ffffff;
    overflow: auto;
    z-index: 20;
}

.sizes-wrapper {
    position: absolute;
    display: none;
    width: 394px;
    height: 100vh;
    right: 0px;
    top: 0px;
    background-color: #ffffff;
    overflow: auto;
}

.icon-close-button {
    position: fixed;
    top: 1rem;
    right: 2rem;
    z-index: 100;
    user-select: none;
}

.select-color,
.select-size {
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 22px;
    color: #000000;
    padding: 75px 0px 17px 40px;
}

.image-center {
    /*display: flex;
    justify-content: space-between;
    align-items: flex-start;
    text-align: center;
    padding: 0 52px 15px;*/

    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    justify-items: center;
    margin-bottom: 20px;
}

.text-center {
    display: flex; 
    flex-direction: column;
    text-align: center;
    /* justify-content: center; */
    align-items: center;
    padding: 75px 0px;
}

.size-text-center {
    display: flex; 
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 49px 0px;
} 

.text {
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    text-align: center;
    padding: 15px 10px 0px 10px;
    color: #000000;
    margin: 0;
}

.bottom-nav {
    display: none;
}

.compare-sizes {
    display: none;
    flex-direction: column;
    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    text-align: center;
    color: #000000;
}

.compare-sizes-wrapper {
    display: none;
}

.compare {    
    border: 1px solid #DADADA;
    border-radius: 4px;
    padding: 12px 90px;
    margin: 0 auto;

    font-family: 'Avus Pro';
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 15px;
    text-align: center;
    text-transform: uppercase;
}

.active_help {
    font-weight: 700;
}

.icon {
    width: 146px;
    height: 96px;
}

/*drag and scroll*/
/*.drag-and-scroll {
    display: flex;
    position: absolute;
    flex-direction: column;
    align-items: center;
    text-align: center;
    bottom: 40px;
    left: 0;
    width: 100%;
}

.drag-and-scroll-image {
    width: 4rem;
    height: auto;
    animation-name: drag-and-scroll;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-name: drag-and-scroll;
    -webkit-animation-duration:2s;
    -webkit-animation-timing-function: linear;
}

.drag-and-scroll-p {
    text-transform: uppercase;
    font-size: 0.6rem;
    color: #4F4E4F;
}

@keyframes drag-and-scroll {
    0%   {-webkit-transform: translate(0, 0);}
    25%  {-webkit-transform: translate(-2rem, 0);}
    50%  {-webkit-transform: translate(0, 0);}
    75%  {-webkit-transform: translate(2rem, 0);}
    100% {-webkit-transform: translate(0, 0);}
}

@-webkit-keyframes drag-and-scroll {
    0%   {-webkit-transform: translate(0, 0);}
    25%  {-webkit-transform: translate(-2rem, 0);}
    50%  {-webkit-transform: translate(0, 0);}
    75%  {-webkit-transform: translate(2rem, 0);}
    100% {-webkit-transform: translate(0, 0);}
}*/
@media (max-height: 767px) {
    .candle-title{
        top: 60%;
    }
}
@media (max-width: 1399px) {
    html, body {
        font-size: 15px;
    }
    .candle-title{
        transform: none;
        left: 10vw;
    }
    .buttons{
        left: 10vw;
        transform: none;
    }
    .images-wrapper{
        right: 10vw;
    }
    .ar-button-wrapper{
        right: 9.8vw;
    }

}

@media (max-width: 1199px) {
    html, body {
        font-size: 14px;
    }    
}

@media (max-width: 991px) {
    html, body {
        font-size: 13px;
    }
    .ar-button-wrapper {
        top: 10%;
        right: 40vw;
    }
    #ar-button,
    #ar-button img {
        width: 50px;
        height: 50px;
    }

    .model, 
    #container3d_replace {
        width: 60vw;
        height: 100vh;
    }

    .loadingContent {
        position: absolute;
        top: 50%;
        left: 30%;
        transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
    }

    .logo {
        position: absolute;
        top: 4%;
        left: 5%;
        transform: translate(0%, 0%);
        -webkit-transform: translate(0%, 0%);
    }

    .logo-img {
        width: 167px;
    }

    .candle-title {
        display: none;
    }

    .buttons {
        top: 30%;
        left: 7rem;
    }


    .images-wrapper {
        display: none;
    }

    .compare-sizes {
        display: block;
        position: absolute;
        bottom: 7%;
        left: initial;
        right: 42%;
        transform: translate(0%, 0%);
        -webkit-transform: translate(0%, 0%);
    }

    .compare-sizes-wrapper {
        display: flex;
        padding-bottom: 14px;
        justify-content: space-between;
    }

    .compare {
        padding: 10px 14px;
    }

    .small,
    .medium,
    .large {
        border: 1px solid #DADADA;
        cursor: pointer;
        padding: 6px 0;
        width: 30px;
        border-radius: 4px;
    }

    .medium {
        margin: 0 16px;
    }

    .active {
        font-family: 'Avus Pro Medium';
        border-radius: 4px;
        border: 1px solid #1A1919
    }

    #overlay {
        position: absolute;
        display: initial;
        width: initial;
        height: initial;
        top: initial;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0, 0);
    }

    .icons-wrapper {
        position: absolute;
        display: block;
        top: initial;
        bottom: 0;
        border-left: 1px solid #DADADA;
        width: 40%;
        height: 100vh;
        overflow: hidden;
    }

    .image-center {
        display: grid;
        grid-template-columns: repeat(11, 1fr);
        width: 100%;
        justify-items: center;
        overflow: auto;
        margin-left: 10px;
    }

    .text {
        margin: 0px 10px 10px 10px;
    }

    .text-center {
        display: flex;
        flex-direction: column;
        text-align: center;
        justify-content: start;
        align-items: center;
        padding: 10px 0px;
        margin: 0px;
    }

    .close-button {
        top: 1rem;
        right: 2rem;
        z-index: 100;
    }

    .icon-close-button {
        display: none;
    }

    .select-color {
        padding: 28px 0 34px 21px;
    }

    .bottom-nav {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 40%;
        position: absolute;
        bottom: 0px;
        right: 0;

        border-top: 1px solid #DADADA;
        border-left: 1px solid #DADADA;
        z-index: 10;
    }

    .leftbar {
        width: 100%;
        margin: 0;
        padding: 14px 0 30px 21px;
        text-align: left;
        outline: 0px;

        font-family: 'Avus Pro';
        font-style: normal;
        font-weight: 600;
        font-size: 15px;
        line-height: 16px;
        letter-spacing: -0.03em;
        color: #000000;
    }

    .add-to-basket-wrapper {
        padding: 5px 18px 8px 13px;
        height: auto;
    }
}

@media (max-width: 767px) {
    html, body {
        font-size: 12px;
    }
}

@media (max-width: 575px) {
    html, body {
        font-size: 10px;
    }

    #ar-button,
    #ar-button img {
        width: 50px;
        height: 50px;
    }

    .model,
    #container3d_replace {
        width: 100vw;
        height: 71vh;
    }

    .loadingContent {
        position: absolute;
        top: 45%;
        left: 50%;
        transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
    }

    .close-button {
        display: block;
        right: 2rem;
    }

    .ar-button-wrapper {
        right: 1rem;
        transform: translate(0%, 0%);
        -webkit-transform: translate(0%, 0%);
    }

    .ar-button-wrapper {
        top: 20%;
        right: 1rem;
        transform: translate(0%, 0%);
        -webkit-transform: translate(0%, 0%);
    }

    #overlay {
        position: absolute;
        display: initial;
        width: initial;
        height: initial;
        top: initial;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0, 0);
    }

    .logo {
        position: absolute;
        top: 2%;
        left: 50%;
        transform: translate(-50%, 0%);
        -webkit-transform: translate(-50%, 0%);
    }

    .logo-img {
        width: 17rem;
    }

    .buttons {
        top: 20%;
        left: 10px;
    }

    .compare-sizes {
        display: block;
        position: absolute;
        left: initial;
        bottom: 33%;
        right: 50%;
        transform: translate(50%, 0%);
        -webkit-transform: translate(50%, 0%);
    }

    .compare-sizes-wrapper {
        display: flex;
        padding-bottom: 14px;
        justify-content: space-between;
    }

    .compare {
        padding: 10px 14px;
    }

    .small,
    .medium,
    .large {
        border: 1px solid #DADADA;
        cursor: pointer;
        padding: 6px 0;
        width: 30px;
        border-radius: 4px;
    }

    .medium {
        margin: 0 16px;
    }

    .active {
        font-family: 'Avus Pro Medium';
        border-radius: 4px;
        border: 1px solid #1A1919
    }

    .icons-wrapper {
        display: block;
        top: initial;
        bottom: 8.5rem;
        left: 0;
        height: auto;
        width:  calc(100% - 10px);
        margin-left: 10px;
        border: 0px;
    }

    .image-center {
        display: flex;
        flex-direction: row;
        align-items: baseline;
        overflow: auto;
        margin: 0px;
    }

    .text,
    .images-wrapper,
    .icon-close-button,
    .candle-title {
        display: none;
    }

    .select-color {
        padding: 0px 0 14px 10px;
    }

    .text-center {
        margin: 0 10px 0 0;
        padding: 5px 0;
    }

    .text {
        margin-bottom: 10px;
    }

    .icon {
        padding: 10px 0px 10px 0px;
        width: 105px;
        height: 60px;
    }

    .bottom-nav {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 100%;
        position: absolute;
        bottom: 0px;
        left: 0;
        border: 0px;
    }

    .leftbar {
        /* width: 100%; */
        margin: 0;
        padding: 14px 0 30px 30px;
        text-align: left;
        outline: 0px;


        font-family: 'Avus Pro';
        font-style: normal;
        font-weight: 600;
        font-size: 15px;
        line-height: 16px;
        letter-spacing: -0.03em;
        color: #000000;
    }

    .add-to-basket-wrapper {
        padding: 13px 48px 8px 13px;
        height: auto;
    }
    
    .add-to-basket-price-lang {
        /* padding: 8px 0 0 13px; */

        /* width: 100%; */
        font-weight: 400;
        font-size: 10px;
        line-height: 12px;
        white-space: nowrap;
    }

    .add-to-basket-text-lang {
        white-space: nowrap;
        margin-top: 8px;
        /* padding: 8px 0 11px 12px; */
        text-transform: uppercase;
        font-weight: 500;
        font-size: 11px;
        line-height: 126.02%;
    }
}

@media (max-width: 360px) {
    
}